Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.console
Class AbstractConsole

    java.lang.Object
      org.eclipse.ui.console.AbstractConsole

All Implemented Interfaces:
  IConsole

Direct Known Subclasses:
  MessageConsole

public abstract class AbstractConsole
extends Object
implements IConsole

Common function for consoles.

Clients implementing consoles should subclass this class.

Since:
  3.0

Constructor Summary
`AbstractConsole(String name, ImageDescriptor imageDescriptor)` Constructs a new console with the given name and image.

Method Summary
`void` | `addPropertyChangeListener(IPropertyChangeListener listener)` Adds a listener for changes to properties of this console.
`protected void` | `dispose()` Called when this console is removed from the console manager.
`void` | `firePropertyChange(Object source, String property, Object oldValue, Object newValue)` Notify all listeners that the given property has changed.
`ImageDescriptor` | `getImageDescriptor()` Returns an image descriptor for this console, or `null` if none.
`String` | `getName()` Returns the name of this console.
`protected void` | `init()` Called when this console is added to the console manager.
`void` | `removePropertyChangeListener(IPropertyChangeListener listener)` Removes the given property listener from this console page.
`protected void` | `setImageDescriptor(ImageDescriptor imageDescriptor)` Sets the image descriptor for this console to the specified value and notifies property listeners of the change.
`protected void` | `setName(String name)` Sets the name of this console to the specified value and notifies property listeners of the change.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.console.IConsole
`createPage`

Constructor Detail

### AbstractConsole

    public AbstractConsole(String name,
                           ImageDescriptor imageDescriptor)

  Constructs a new console with the given name and image.

Parameters:
  `name` - console name, cannot be `null`
  `imageDescriptor` - image descriptor, or `null` if none

Method Detail

### getName

    public String getName()

  Description copied from interface: `IConsole`
  Returns the name of this console.

  Specified by:
    `getName` in interface `IConsole`
  Returns:
    the name of this console

### setName

    protected void setName(String name)

  Sets the name of this console to the specified value and notifies property listeners of the change.

  Parameters:
    `name` - the new name

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Description copied from interface: `IConsole`
  Returns an image descriptor for this console, or `null` if none.

  Specified by:
    `getImageDescriptor` in interface `IConsole`
  Returns:
    an image descriptor for this console, or `null` if none

### setImageDescriptor

    protected void setImageDescriptor(ImageDescriptor imageDescriptor)

  Sets the image descriptor for this console to the specified value and notifies property listeners of the change.

  Parameters:
    `imageDescriptor` - the new image descriptor

### addPropertyChangeListener

    public void addPropertyChangeListener(IPropertyChangeListener listener)

  Description copied from interface: `IConsole`
  Adds a listener for changes to properties of this console. Has no effect if an identical listener is already registered.

  The changes supported by the console view are as follows:

  - `IBasicPropertyConstants.P_TEXT` - indicates the name of a console has changed
  - `IBasicPropertyConstants.P_IMAGE` - indicates the image of a console has changed

  Clients may define additional properties as required.

  Specified by:
    `addPropertyChangeListener` in interface `IConsole`
  Parameters:
    `listener` - a property change listener

### removePropertyChangeListener

    public void removePropertyChangeListener(IPropertyChangeListener listener)

  Description copied from interface: `IConsole`
  Removes the given property listener from this console page. Has no effect if an identical listener is not alread registered.

  Specified by:
    `removePropertyChangeListener` in interface `IConsole`
  Parameters:
    `listener` - a property listener

### firePropertyChange

    public void firePropertyChange(Object source,
                                   String property,
                                   Object oldValue,
                                   Object newValue)

  Notify all listeners that the given property has changed.

  Parameters:
    `source` - the object on which a property has changed
    `property` - identifier of the property that has changed
    `oldValue` - the old value of the property, or `null`
    `newValue` - the new value of the property, or `null`

### init

    protected void init()

  Called when this console is added to the console manager. Default implementation does nothing. Subclasses may override.

### dispose

    protected void dispose()

  Called when this console is removed from the console manager. Default implementation does nothing. Subclasses may override.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.